package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 时间间隔枚举类型
 * @Author 纪寒
 * @Date 2023-02-14 15:39:05
 * @Version 1.0
 */
@Getter
public enum AppointmentTimeIntervalEnum {
    /**
     * 半小时
     */
    HALF_HOUR("HALF_HOUR"),

    /**
     * 一小时
     */
    ONE_HOUR("ONE_HOUR"),

    /**
     * 九十分钟
     */
    NINETY_MINUTES("NINETY_MINUTES"),

    /**
     * 两小时
     */
    TWO_HOUR("TWO_HOUR"),
    ;
    final private String value;

    AppointmentTimeIntervalEnum(String value) {
        this.value = value;
    }
}
